DocSetCollector (Solr 3.6.2 API)
Keywords: org.apache.solr.search.DocSetCollector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class DocSetCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.solr.search.DocSetCollector

Direct Known Subclasses:
  DocSetDelegateCollector

    public class DocSetCollector

extends Collector

Constructor Summary
`DocSetCollector(int smallSetSize, int maxDoc)`

Method Summary
`boolean` | `acceptsDocsOutOfOrder()`
`void` | `collect(int doc)`
`DocSet` | `getDocSet()`
`void` | `setNextReader(IndexReader indexReader, int docBase)`
`void` | `setScorer(Scorer scorer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocSetCollector

    public DocSetCollector(int smallSetSize,
                           int maxDoc)

Method Detail

### collect

    public void collect(int doc)
                 throws IOException

  Specified by:
    `collect` in class `Collector`
  Throws:
    `IOException`

### getDocSet

    public DocSet getDocSet()

### setScorer

    public void setScorer(Scorer scorer)
                   throws IOException

  Specified by:
    `setScorer` in class `Collector`
  Throws:
    `IOException`

### setNextReader

    public void setNextReader(IndexReader indexReader,
                              int docBase)
                       throws IOException

  Specified by:
    `setNextReader` in class `Collector`
  Throws:
    `IOException`

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `Collector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD